## view.xhtml
Enum Input.InputType

    java.lang.Object
      java.lang.Enum<Input.InputType>
          view.xhtml.Input.InputType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Input.InputType>

Enclosing class:
  Input

    public static enum Input.InputType

extends java.lang.Enum<Input.InputType>

An enumeration for all valid values of the type attribute.

Enum Constant Summary
`BUTTON`
`CHECKBOX`
`PASSWORD`
`SUBMIT`
`TEXT`

Method Summary
`static Input.InputType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Input.InputType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT

    public static final Input.InputType TEXT

### SUBMIT

    public static final Input.InputType SUBMIT

### BUTTON

    public static final Input.InputType BUTTON

### PASSWORD

    public static final Input.InputType PASSWORD

### CHECKBOX

    public static final Input.InputType CHECKBOX

Method Detail

### values

    public static Input.InputType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Input.InputType c : Input.InputType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Input.InputType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null